<template>
  <v-card>
    <v-card-title>
      <span class="headline">Export</span>
    </v-card-title>
    <v-card-text>
      <v-container>
        <v-radio-group v-model="radios">
          <v-radio label="Als JSON speichern" value="JSON"></v-radio>
          <v-radio label="Als PDF speichern" value="PDF"></v-radio>
        </v-radio-group>
      </v-container>
    </v-card-text>
    <v-card-actions>
      <v-spacer></v-spacer>
      <v-btn tile depressed @click="closeDialogDownload()">Schließen</v-btn>
      <v-btn tile depressed color="primary" @click="save()">Speichern</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: "DownloadModal",
  data() {
    return {
      radios: "JSON"
    };
  },
  methods: {
    closeDialogDownload() {
      this.$emit("closeDialogDownload");
    },
    save() {
      if (this.radios === "JSON") {
        this.$store.dispatch("downloadJSON");
      } else {
        this.$store.dispatch("downloadPDF");
      }
      this.closeDialogDownload();
    }
  }
};
</script>

<style scoped></style>
